require 'bitcointrade_sdk/base'

module BitcointradeSDK
  class Public < BitcointradeSDK::Base
    def ticker
      send_request(:get, "/public/BTC/ticker", {}, true)['data']
    end

    def orders
      send_request(:get, "/public/BTC/orders", {}, true )
    end

    def trades(opts = {})
      send_request(:get, "/public/BTC/trades", opts, true)['data']
    end
  end
end
